Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Sig_Guard Class Reference

Hold signals in MASK for duration of a C++ statement block. Note that a "0" for mask causes all signals to be held. More...

`#include <Signal.h>`

Collaboration diagram for ACE_Sig_Guard:

[legend]
List of all members.

## Public Member Functions
| ACE_Sig_Guard (ACE_Sig_Set *mask=0, bool condition=true)
| ~ACE_Sig_Guard (void)
| Restore blocked signals.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
ACE_Sig_Set | omask_
| Original signal mask.
bool | condition_
| Guard Condition.

## Detailed Description

Hold signals in MASK for duration of a C++ statement block. Note that a "0" for mask causes all signals to be held.

## Constructor & Destructor Documentation

ACE_INLINE ACE_Sig_Guard::ACE_Sig_Guard | ( | ACE_Sig_Set * | mask = `0`,
|  | bool | condition = `true`
| ) |

| This is kind of conditional Guard, needed when guard should be activated only when a spcific condition met. When condition == true (default), Guard is activated

ACE_INLINE ACE_Sig_Guard::~ACE_Sig_Guard | ( | void |  | ) |

| Restore blocked signals.

## Member Function Documentation

void ACE_Sig_Guard::dump | ( | void |  | ) | const

| Dump the state of an object.

## Member Data Documentation

ACE_Sig_Guard::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

bool ACE_Sig_Guard::condition_`[private]`

| Guard Condition.

ACE_Sig_Set ACE_Sig_Guard::omask_`[private]`

| Original signal mask.

The documentation for this class was generated from the following files:

- Signal.h
- Signal.cpp
- Signal.inl